using System;

namespace Intrepid.Core.Themes
{
    [Serializable]
    public class DiegeticThemes : AbstractThemeRelated
    {
        public DiegeticThemes(Palettes palettes) : base(palettes)
        {
        }

        public SignalTheme PlatformAware => new(Palettes);
        public SignalTheme Interactable => new(Palettes);
    }
}